| Earth Observation Mission CFI Software Lib Software User Manual |

Public Attributes

# EECFI::ModelData Class Reference

Data from model. More...

List of all members.

## Public Attributes
long | earthModel
| Earth model.
long | sunModel
| Sun model.
long | moonModel
| Moon model.
long | planetModel
| Planets model.
long | starModel
| Stars model.
long | nutationModel
| Nutation model.
long | precessionModel
| Precession model.
long | constantsModel
| Constants model.
long | lightPropagationModel
| Light propagation model.
double | re
| Earth equatorial radius [m].
double | mu
| Earth's gravitational constant [m3/s2].
double | j2
| Second zonal harmonic.
double | j3
| Third zonal harmonic.
double | j4
| Fourth zonal harmonic.
double | majorAxis
| Semi-major axis [m].
double | minorAxis
| Semi-minor axis [m].
double | ecc
| First eccentricity [-].
double | flat
| Flattening [-].
double | gcoef0
double | gcoef1
double | gcoef2
double | gcoefSim0
double | gcoefSim1
double | gcoefSim2
double | au
| Astronomical unit in kms.

## Detailed Description

Data from model.

## Member Data Documentation

double EECFI::ModelData::au

Astronomical unit in kms.

long EECFI::ModelData::constantsModel

Constants model.

Referenced by EECFI::ModelId::getData().

long EECFI::ModelData::earthModel

Earth model.

Referenced by EECFI::ModelId::getData().

double EECFI::ModelData::ecc

First eccentricity [-].

Referenced by EECFI::ModelId::getData().

double EECFI::ModelData::flat

Flattening [-].

Referenced by EECFI::ModelId::getData().

double EECFI::ModelData::gcoef0

Referenced by EECFI::ModelId::getData().

double EECFI::ModelData::gcoef1

Referenced by EECFI::ModelId::getData().

double EECFI::ModelData::gcoef2

Referenced by EECFI::ModelId::getData().

double EECFI::ModelData::gcoefSim0

Referenced by EECFI::ModelId::getData().

double EECFI::ModelData::gcoefSim1

Referenced by EECFI::ModelId::getData().

double EECFI::ModelData::gcoefSim2

Referenced by EECFI::ModelId::getData().

double EECFI::ModelData::j2

Second zonal harmonic.

Referenced by EECFI::ModelId::getData().

double EECFI::ModelData::j3

Third zonal harmonic.

Referenced by EECFI::ModelId::getData().

double EECFI::ModelData::j4

Fourth zonal harmonic.

Referenced by EECFI::ModelId::getData().

long EECFI::ModelData::lightPropagationModel

Light propagation model.

Referenced by EECFI::ModelId::getData().

double EECFI::ModelData::majorAxis

Semi-major axis [m].

Referenced by EECFI::ModelId::getData().

double EECFI::ModelData::minorAxis

Semi-minor axis [m].

Referenced by EECFI::ModelId::getData().

long EECFI::ModelData::moonModel

Moon model.

Referenced by EECFI::ModelId::getData().

double EECFI::ModelData::mu

Earth's gravitational constant [m3/s2].

Referenced by EECFI::ModelId::getData().

long EECFI::ModelData::nutationModel

Nutation model.

Referenced by EECFI::ModelId::getData().

long EECFI::ModelData::planetModel

Planets model.

Referenced by EECFI::ModelId::getData().

long EECFI::ModelData::precessionModel

Precession model.

Referenced by EECFI::ModelId::getData().

double EECFI::ModelData::re

Earth equatorial radius [m].

Referenced by EECFI::ModelId::getData().

long EECFI::ModelData::starModel

Stars model.

Referenced by EECFI::ModelId::getData().

long EECFI::ModelData::sunModel

Sun model.

Referenced by EECFI::ModelId::getData().